<?php

// $Id: help.php,v 1.1 2003/11/22 14:51:31 leyeti Exp $

$helpmodule = (isset($_GET["helpmodule"])) ? $_GET["helpmodule"] : (IsSet($_POST["helpmodule"]) ? $_POST["helpmodule"] : "");


$myEnv["module"] = "help";
$myEnv["output"] = "html";
$myEnv["stdsmenu"] = false;
	
include("../../config.inc.php");
include(INCLUDEPATH . "container.inc.php");

// adding file revision into global array
if(function_exists("revisionInit")) revisionInit("\$Revision: 1.1 $", __FILE__);

$real_module = $myEnv["module"];
$myEnv["module"] = $helpmodule;
//---------------- from container.inc.php ------------//
// help system
if(file_exists(ROOTPATH."/docs/html/".$_SESSION["MGW"]->spkz."/modules_".$myEnv["module"].".html")) $smarty->assign("helpurl", "docs/html/".$_SESSION["MGW"]->spkz."/modules_".$myEnv["module"].".html");
elseif(file_exists(ROOTPATH."/docs/html/en/modules_".$myEnv["module"].".html")) $smarty->assign("helpurl", "docs/html/en/modules_".$myEnv["module"].".html");
elseif(file_exists(ROOTPATH."/docs/html/nohelp.".$_SESSION["MGW"]->spkz.".html")) $smarty->assign("helpurl","docs/html/nohelp.".$_SESSION["MGW"]->spkz.".html");
else $smarty->assign("helpurl","docs/html/nohelp.en.html");
//----------------------------------------------------//
$myEnv["module"] = $real_module;
include(ROOTPATH . "/modules/" . $myEnv["module"] . "/inc/smenu.php");



//$smarty->assign("pagetitle",Lang::getLanguageString("help"));
//$smarty->assign("actmodule","help");
$smarty->assign("helpmodule","$helpmodule");
$smarty->display("help.tpl");
?>